import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { Component_ } from '../../../../../types/interface/Component';
export type I = {
    component: Component_;
    opt: ResizeObserverOptions;
    done: any;
};
export type O = {
    width: number;
    height: number;
};
export default class SizeObserver extends Holder<I, O> {
    private _observer;
    constructor(system: System);
    f({ component, opt }: I, done: Done<O>): Promise<void>;
    d(): void;
}
